%define _legacy_common_support 1

%define ver	031220

Summary:	Lynx-like text WWW browser
Name:		links-hacked
Version:	0.0.%{ver}
Release:	%mkrel 56
License:	GPL
Group:		Networking/WWW
URL:		http://xray.sai.msu.ru/~karpov/links-hacked/
Source0:	%{name}-%{ver}.tar.bz2
Source1:	links-16.png
Source2:	links-32.png
Source3:	links-48.png
Source4:        links.cfg
# links fonts (overriding links-hacked ones):
Source5:	links-fonts-new.tar.bz2
Patch7:		links-0.96-no-domain-security.patch
Patch8:		links-current-color-by-default--and-vt100-frames.patch
Patch10:	links-2.0pre1-be-graphic-when-called-_links-graphic_.patch
Patch11:	links-hacked-030620-convert-old-bookmarks-in-new-format.patch
Patch12:	links-hacked-030620-fix-default-charset.patch
Patch13:	links-hacked-030709-config-file.patch
Patch15:	links-hacked-031220-gcc34.patch
Patch16:	links-hacked-031220-lua5.patch
Patch17:	links-hacked-031220-lua5compil.patch
Patch18:	links-hacked-031220-gcc401.patch
Patch19:	links-hacked-031220-fix-build.patch
Patch20:	links-hacked-fix-build.patch
Patch21:	links-hacked-fix-crash.diff
Patch22:	links-hacked-031220-libpng15.patch
Patch23:	links-hacked-031220-automake-1.13.patch
Patch24:	links-hacked-openssl11.patch

BuildRequires:  pkgconfig(x11)
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	freetype2-devel
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	gpm-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libtiff-4)
Provides:	webclient

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

Links-hacked is based on top of links and offer the below features:
- Lua scripting
- HTTP Auth - stable, ported form Elinks 
- Blocking of selected images 
- Cookies saving
- New options system (c-o)
- Open new windows instead of new links instances in graphics mode
- Url copying
- Full-text selection
- Simple printing
- Forward history
- Extended and configurable 'toolbar'
- Configurable 'mini-status'
- various small improvements:
  o support for "small" and "big" tags,
  o keybinding ("i") to turn on/off images,
  o possibility to show HTTP header ("|"),
  o support for compressed content
  o configurable support for Accept-Charset and Accept-Language. 
- Modularized font subsystem
- Font manager (c-i)
- Dialogs shadows and borders
- Tabbed browsing

%prep
%setup  -q -n %name-%ver
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch15 -p0
%patch16 -p0 -b .lua
%patch17 -p0 -b .lua5
%patch18 -p0 -b .gcc401
%patch19 -p0 -b .build
%patch20 -p0 -b .gcc45
%patch21 -p0 -b .segv
%patch22 -p0 -b .libpng
%patch23 -p1 -b .automake-1_13
%patch24 -p1 -b .openssl11

chmod a+r *

%build
autoreconf -fi
perl -pi -e 's!"-g!"!g' configure
# (tv) fix mageia's BS using symlinks:
cat %SOURCE5 > links-fonts-new.tar.bz2

export CFLAGS="%{optflags} -fgnu89-inline"
%configure --enable-graphics --enable-javascript
(cd Unicode ; LC_ALL=C ./gen )
# even more dirty :)
perl -pi -e 's!wget xray.sai.msu.ru/\~karpov/links-hacked/downloads/links-fonts-new.tgz \&\& tar xzvf links-fonts-new.tgz!tar -jxvf links-fonts-new.tar.bz2!' Makefile{,.am,.in}

%make_build || :
# hacky & dirty
perl -pi -e 's!^@.*!!' utils/Makefile
%make_build

%install
%make_install

rm -f %buildroot%{_bindir}/links
install links %buildroot%{_bindir}/%name

install -D -m 644 %SOURCE4 %buildroot/etc/links.cfg


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Links (hacked)
Comment=Lynx-like text WWW browser
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Network;WebBrowser;
EOF

install -d %buildroot/%_liconsdir/
install -d %buildroot/%_miconsdir/
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_liconsdir/%name.png
# fix conflicts with links-graphic:
mv %buildroot/%_mandir/man1/{links,%name}.1

%triggerpostun -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%post
update-alternatives --install /usr/bin/links links /usr/bin/%name 5

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/%name
fi

%files 
%doc AUTHORS BUGS ChangeLog README SITES TODO 
%config(noreplace) /etc/links.cfg
%_bindir/%name
%_bindir/arrow
%_bindir/generate_font
%_bindir/make_included
%_bindir/rasterizer
%_mandir/*/*
%_datadir/applications/*.desktop
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png


%changelog
* Mon Dec 12 2022 ns80 <ns80> 0.0.031220-56.mga9
+ Revision: 1921082
- rebuild for new libtiff

* Fri Apr 01 2022 umeabot <umeabot> 0.0.031220-55.mga9
+ Revision: 1837935
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 0.0.031220-54.mga9
+ Revision: 1747725
- rebuild for openssl 3.0.0

* Tue Aug 18 2020 martinw <martinw> 0.0.031220-53.mga8
+ Revision: 1615426
- fix build with GCC 10

* Thu Feb 13 2020 umeabot <umeabot> 0.0.031220-52.mga8
+ Revision: 1514725
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.0.031220-51.mga7
+ Revision: 1299309
- Mageia 7 Mass Rebuild

* Fri Sep 15 2017 cjw <cjw> 0.0.031220-50.mga7
+ Revision: 1154180
- patch24: fix build with openssl 1.1

* Wed Mar 02 2016 umeabot <umeabot> 0.0.031220-49.mga6
+ Revision: 983613
- Rebuild for openssl

* Sat Jan 02 2016 luigiwalser <luigiwalser> 0.0.031220-48.mga6
+ Revision: 918233
- rebuild without directfb

* Mon Nov 09 2015 daviddavid <daviddavid> 0.0.031220-47.mga6
+ Revision: 899883
- fix compilation with gcc5: add -fgnu89-inline to CFLAGS

* Mon Feb 16 2015 oden <oden> 0.0.031220-46.mga5
+ Revision: 815149
- rebuilt for libgd-2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 0.0.031220-45.mga5
+ Revision: 749381
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.031220-44.mga5
+ Revision: 681946
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 sander85 <sander85> 0.0.031220-43.mga5
+ Revision: 660306
- Rebuild for new directfb

* Tue May 20 2014 luigiwalser <luigiwalser> 0.0.031220-42.mga5
+ Revision: 623989
- rebuild for directfb

* Thu May 01 2014 luigiwalser <luigiwalser> 0.0.031220-41.mga5
+ Revision: 619141
- rebuild for directfb

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.0.031220-40.mga5
+ Revision: 592120
- rebuild for directfb

* Sat Oct 19 2013 umeabot <umeabot> 0.0.031220-39.mga4
+ Revision: 532204
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 0.0.031220-38.mga4
+ Revision: 467256
- rebuild for new dfb

* Mon Jun 03 2013 fwang <fwang> 0.0.031220-37.mga4
+ Revision: 436006
- rebuild for new libpng

* Tue May 28 2013 oden <oden> 0.0.031220-36.mga4
+ Revision: 429286
- rebuilt against libgd.so.3

* Sat Jan 12 2013 umeabot <umeabot> 0.0.031220-35.mga3
+ Revision: 358830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 0.0.031220-34.mga3
+ Revision: 344316
- patch23: fix build with automake 1.13

* Sat Jul 28 2012 fwang <fwang> 0.0.031220-33.mga3
+ Revision: 275257
- rebuild for new dfb

* Sun Jan 08 2012 wally <wally> 0.0.031220-32.mga2
+ Revision: 193175
- rebuild for new libtiff

* Wed Oct 26 2011 tv <tv> 0.0.031220-31.mga2
+ Revision: 158173
- build without obsolete svgalib

* Thu Sep 22 2011 fwang <fwang> 0.0.031220-30.mga2
+ Revision: 146605
- more patch
- fix build with libpng 1.5
- rebuild for new libpng

* Mon Jul 18 2011 fwang <fwang> 0.0.031220-29.mga2
+ Revision: 125883
- rebuild for new dfb

* Wed May 11 2011 tv <tv> 0.0.031220-28.mga1
+ Revision: 97247
- fix build: mageia's BS uses symlinks in SOURCES
- patch 20: fix build
- patch 21: fix a crash
- clean post scripts
- imported package links-hacked


* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 0.0.031220-26mdv2011.0
+ Revision: 622582
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Thu Apr 08 2010 Rémy Clouard <shikamaru@mandriva.org> 0.0.031220-25mdv2010.1
+ Revision: 533273
- Rebuild for new openssl

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.0.031220-24mdv2010.1
+ Revision: 492257
- rebuild for new libjpegv 8

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 0.0.031220-23mdv2010.1
+ Revision: 462917
- rebuild for new dfb

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 0.0.031220-22mdv2010.0
+ Revision: 422969
- rebuild for new libjpeg

* Sun Aug 17 2008 Funda Wang <fwang@mandriva.org> 0.0.031220-21mdv2009.0
+ Revision: 273055
- rebuild for new dfb

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.0.031220-20mdv2009.0
+ Revision: 268081
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 31 2008 Funda Wang <fwang@mandriva.org> 0.0.031220-19mdv2009.0
+ Revision: 213698
- spec cleanup

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode icon extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 31 2007 Thierry Vignaud <tv@mandriva.org> 0.0.031220-19mdv2008.0
+ Revision: 57161
- use fonts from links, thus fixking "Error when loading compiled-in font:
  png_do_rgb_to_gray found nongray pixel. libpng error: png_do_rgb_to_gray found
  nongray pixel"

* Tue May 29 2007 Funda Wang <fwang@mandriva.org> 0.0.031220-18mdv2008.0
+ Revision: 32312
- Rebuild against directfb 1.0

* Mon May 28 2007 Thierry Vignaud <tv@mandriva.org> 0.0.031220-17mdv2008.0
+ Revision: 32019
- rebuild for new directfb


* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.031220-16mdv2007.0
+ Revision: 72794
- Add BuildRequire
- Add BuildRequire
- import links-hacked-0.0.031220-15mdv2007.0

* Mon Aug 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-15mdv2007.0
- rebuild against new lua
- XDG menu

* Sat May 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-14mdk
- rebuild against directfb-0.9.25

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-13mdk
- rebuild against directfb-0.9.24

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-12mdk
- rebuild against openssl0.9.8

* Wed Oct 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-11mdk
- rebuild for new lua5

* Sun Jul 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-10mdk
- fix requires oin x86_64

* Sun Jul 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-9mdk
- patch 18: fix build with gcc-4.0.1
- fix build on x86_64

* Sun May 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-8mdk
- rebuild for yet another gtk+fb library

* Fri Apr 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-7mdk
- rebuild for new gtk+fb library
- fix buildrequires

* Tue Aug 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-6mdk
- really avoid wget during build
- rebuild with lua5
- fix bogus lua requires, aka requires a fixed lua (previously it accepted
  either lua4 or lua5 thus resulting in linkinkg issues at runtime)
- patch 16: fix detecting lua5
- patch 17: fix compiling with lua5

* Sun Aug 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.031220-5mdk
- Rebuild with new menu

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-4mdk
- patch 15: fix compiling with new g++
- rebuild w/o svgalib support

* Fri Apr 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-3mdk
- decrease alternative priority in order to please lord pixel

* Mon Dec 29 2003 Franck Villaume <fvill@freesurf.fr> 0.0.031220-2mdk
- fix some 64bits buildrequires
- avoid wget during build : patch14
- add BuildRequires for : OpenSSL, Freetype, tiff support

* Sat Dec 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-1mdk
- new release

* Wed Nov 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.030709-2mdk
- patch 13: do not share anymore config file with links (conflicted options)
- fix conflicts with links-graphic

